Subject: Re: enabling two eths

From: Alex Zeffertt <[email-masked]>
Date: Tue, 20 Feb 2007 15:31:54 +0000

Manjunath AM wrote:
> 
> Hi,
> 
> We are using MPC8272 based target board, we use montavista Linux version 
> 2.6.10 kernel image (with NFS enabled) to our target board,
> 
> Our board has  2 FCCs (eth0 and eth1). bot the eth's works perfectly 
> when we use them independently, but when we are trying to enable second 
> one after the kernel is up using linux command  "ifconfig eth1 
> 192.168.33.64 up"(IP address)nothing is working.
> Please suggest how to enable second eth (either 0 or 1) once the kernel 
> is up with NFS file system

Have you made sure that eth0 and eth1 are on *different* IP subnets?
If they are on the same subnet, or intersecting subnets, your routing
will get confused.